"use strict";
this.name	= "sappermode";
this.author	= "Norby";
this.copyright	= "2016 Norby";
this.description= "Sapper Mode equipment script";
this.licence	= "CC BY-NC-SA 4.0";

this._w = worldScripts.snipergun;

//equipment events for Sapper Mode equipment
this.activated = function() {
        var w = this._w;
        w._sapperSwitchPlayer( w );
}

this.mode = function() {
        var w = this._w;
        w.$SapperMode++;
        if( w.$SapperMode > 8 ) w.$SapperMode = 1;
        var near = w._setSapperDist( player.ship, w );
        var far = player.ship.script.$SapperFarDistance;
        switch( w.$SapperMode ) {
                case 1: //auto mode
                        player.consoleMessage( "Sapper in auto mode ("+near+"-"+far
                                +" km distance and heat).", 4.5 );
                        break;
                case 2: //preset mode (1-2 km)
                        player.consoleMessage( "Sapper in preset mode ("+near+"-"+far
                                +" km distance and heat).", 4.5 );
                        break;
                case 3: //0. distance mode (5-6 km)
                case 4: //1. distance mode (2-3 km)
                case 5: //2. distance mode (1-2 km)
                case 6: //3. distance mode (0.5-1 km)
                        player.consoleMessage( "Sapper in target distance mode ("+near+"-"+far
                                +" km).", 4.5 );
                        break;
                case 7: //heat mode
                        player.consoleMessage( "Sapper in laser heat mode.", 4.5 );
                        break;
                case 8: //manual mode
                default:
                        var n = String.fromCharCode( oolite.gameSettings.keyConfig.key_activate_equipment );
                        player.consoleMessage( "Sapper in manual mode, press '"+n+"' to activate.", 4.5 );
                        break;
        }
}
